﻿@{
    ViewBag.Title = "Index";
}


<div class="page-header">
    <div class="page-title">
        <h3>Promo Reporting</h3>
    </div>
  
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<div class="row">
    <!--=== Validation Example 1 ===-->
    
            @*<div>
                <div class="col-md-6 pull-right">
                    <div class="widget box">*@
                        <div class="widget-content">
                            @using (Html.BeginForm(MVC.PromoReporting.Index(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formDLPromoReport" }))
                            {
                                <div class="form-horizontal row-border">
                                    @Html.TextBox("txtSearch", "", new { @class = "form-control box-search", @placeholder = "Search for...", @style = "display: none" })
                                </div>
                                <div class="form-actions">
                                    <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-reporting" style = "display: none" >
                                    <input type="submit" value="Download" class="btn btn-primary pull-right" id="download-button-reporting">
                                </div>
                            }
                        </div>
                    @*</div>
                </div>
               
            </div>*@
       
</div>
<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Promo</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachPromoReport", City = "form" }))
                {
                    <input type="text" id="hiddenSearch" name="hiddenSearch" class="form-control box-search" placeholder="Search Here...">
                    <button class="hidden" type="submit" id="hidden-search-form"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllPromoReporting")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>


@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllPromoReporting';
            var pagingUrl = '@Url.Action(MVC.PromoReporting.GridGetAllPromoPager())';

            

                $('.grid-mvc').gridmvc();
                pageGrids[gridName].ajaxify({
                    getData: pagingUrl,
                    getPagedData: pagingUrl,
                    gridFilterForm: $('#gridSeachPromoReport')
                });
                $('#search-button-reporting').click(function () {
                    // alert('aaa')
                    var srch = $('#hiddenSearch').val();
                    $('#txtSearch').val(srch);
                    
                    $('#hidden-search-form').click();
                });
               

                $('#download-button-reporting').click(function () {
                    var srch = $('#hiddenSearch').val();
                    $('#txtSearch').val(srch);
                    setTimeout(function () { HideLoader(); }, 3000);
                });
            }())
    </script>
}
